###################################################################
#
#       Borland specific directives ---
#
.SWAP
.AUTODEPEND

###################################################################
#
#       set default values:

!ifndef ENVIRON
ENVIRON = WIN32
!endif

!ifndef BINDING
BINDING = STATIC
!endif

!ifndef THREAD
THREAD = MULTI
!endif

!ifndef BMODE
BMODE = RELEASE
!endif

###################################################################
#
# Flag illegal options:
#

!if $(ENVIRON) != WIN32
! error Illegal value for ENVIRON option
!endif

!if $(BINDING) != DLL && $(BINDING) != STATIC
!  error Illegal value for BINDING option
!endif

!if $(THREAD) != SINGLE && $(THREAD) != MULTI
!  error Illegal value for THREAD option
!endif

!if $(BMODE) != RELEASE && $(BMODE) != DEBUG
!  error Illegal value for BMODE option
!endif

###################################################################
#
# Set tool and version names:

!if $(ENVIRON) == WIN32
CPP        = bcc32
CPP32      = cpp32
LIBRARIAN  = tlib /P128
LINKER     = ilink32
RC         = brc32
ENVNAME    =
!endif

###################################################################
#
# Set the various flags:

!if $(BMODE) == DEBUG
DBGOPT= -v -N -x -xp
CCLINKOPT = -lGn
!else
CCLINKOPT = -lGn
!endif

!if $(THREAD) == MULTI
CCLINKOPT = $(CCLINKOPT) -tWM
LIBSUF=mt
!else
CCLINKOPT = $(CCLINKOPT) -tWM-
LIBSUF=
!endif

###################################################################
#
# Set any relevant defines (-Dxxx)

DEFOPTS =

!if $(BINDING) == DLL
DEFOPTS=$(DEFOPTS) -tWCR
TARGSUF=R
LIBSUF=$(LIBSUF)i
!else
DEFOPTS = $(DEFOPTS) -tWC
LIBSUF=$(LIBSUF)
TARGSUF=
!endif

###################################################################
#
# Set any compiler options

PCHROOT=stl_pch
CCOPTS = -w- -jb -j1 -Hc -H=$(PCHROOT).csm

#Compile flags:
CPPFLAGS= $(CCOPTS) $(DBGOPT)  $(ENVOPTS) $(DEFOPTS) $(THROPTS) $(CCLINKOPT)
LINKFLAGS= -Gn -Gi -Tpd -aa -L$(MAKEDIR)\..\lib -x
LINKSTARTUP= c0d32.obj
LINKLIBS=import32.lib cw32$(LIBSUF).lib
RCFLAGS= -r -i$(MAKEDIR)\..\include;$(MAKEDIR)\..\include\windows

OBJ= sgglobal.obj sgcb.obj sgcharmx.obj sgfile.obj sggen.obj sghall.obj sghkl.obj sgltr.obj sgmath.obj sgmetric.obj sgnorm.obj sgprop.obj sgss.obj sgstr.obj sgsymbols.obj sgtidy.obj sgtype.obj sgutil.obj runtests.obj


.c.obj:
	$(CC) $(CFLAGS) -c $*.c

sgquick: VFNsgquick.obj lib
	$(CC) VFNsgquick.obj libsglite.lib

libsglite: $(OBJ)
	tlib "libsglite.lib" +sgglobal.obj+sgcb.obj+sgcharmx.obj+sgfile.obj+sggen.obj+sghall.obj+sghkl.obj+sgltr.obj+sgmath.obj+sgmetric.obj+sgnorm.obj+sgprop.obj+sgss.obj+sgstr.obj+sgsymbols.obj+sgtidy.obj+sgtype.obj+sgutil.obj+runtests.obj


lib: libsglite

all: lib sgquick

default: lib

tidy:
	del *.obj

clean:
	del *.o *.a 
